﻿Imports Infragistics.Web.UI
Imports Infragistics.Web.UI.NavigationControls

Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        ' Load tree data
        If Not Page.IsPostBack Then
            LoadEntityTree()
        End If
    End Sub

    Private Sub LoadEntityTree()
        Dim newNode As New DataTreeNode()
        newNode.Text = "Company A"
        newNode.Value = 1
        uxWebDataTree.Nodes.Add(newNode)

        Dim newNodeB As New DataTreeNode()
        newNodeB.Text = "Company B"
        newNodeB.Value = 2
        uxWebDataTree.Nodes.Add(newNodeB)

        Dim newNodeC As New DataTreeNode()
        newNodeC.Text = "Company C"
        newNodeC.Value = 3
        uxWebDataTree.Nodes.Add(newNodeC)

        Dim newNodeD As New DataTreeNode()
        newNodeD.Text = "Company D"
        newNodeD.Value = 4
        uxWebDataTree.Nodes.Add(newNodeD)
    End Sub

    ''' <summary>
    ''' Display details of the selected node
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub uxWebDataTree_SelectionChanged(ByVal sender As Object, ByVal e As Infragistics.Web.UI.NavigationControls.DataTreeSelectionEventArgs) Handles uxWebDataTree.SelectionChanged
        uxCompanyNameField.Text = e.NewSelectedNodes.Item(0).Text
    End Sub
End Class